from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Wlmscpfs_V0_1_0 = CommandToolBuilder(tool="wlmscpfs", base_command=["wlmscpfs"], inputs=[ToolInput(tag="in_arguments", input_type=Boolean(optional=True), prefix="--arguments", doc=InputDocumentation(doc="print expanded command line arguments")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="quiet mode, print no warnings and errors")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="verbose mode, print processing details")), ToolInput(tag="in_debug", input_type=Boolean(optional=True), prefix="--debug", doc=InputDocumentation(doc="debug mode, print debug information")), ToolInput(tag="in_log_level", input_type=Boolean(optional=True), prefix="--log-level", doc=InputDocumentation(doc="[l]evel: string constant\n(fatal, error, warn, info, debug, trace)\nuse level l for the logger")), ToolInput(tag="in_log_config", input_type=Boolean(optional=True), prefix="--log-config", doc=InputDocumentation(doc="[f]ilename: string\nuse config file f for the logger")), ToolInput(tag="in_single_process", input_type=Boolean(optional=True), prefix="--single-process", doc=InputDocumentation(doc="single process mode")), ToolInput(tag="in_fork", input_type=Boolean(optional=True), prefix="--fork", doc=InputDocumentation(doc="fork child process for each association (def.)")), ToolInput(tag="in_data_files_path", input_type=Boolean(optional=True), prefix="--data-files-path", doc=InputDocumentation(doc="[p]ath: string (default: /home/www/wlist)\npath to worklist data files")), ToolInput(tag="in_enable_file_reject", input_type=Boolean(optional=True), prefix="--enable-file-reject", doc=InputDocumentation(doc="enable rejection of incomplete worklist files\n(default)")), ToolInput(tag="in_disable_file_reject", input_type=Boolean(optional=True), prefix="--disable-file-reject", doc=InputDocumentation(doc="disable rejection of incomplete worklist files")), ToolInput(tag="in_return_no_char_set", input_type=Boolean(optional=True), prefix="--return-no-char-set", doc=InputDocumentation(doc="return no specific character set (default)")), ToolInput(tag="in_return_iso_ir_one_zero_zero", input_type=Boolean(optional=True), prefix="--return-iso-ir-100", doc=InputDocumentation(doc="return specific character set ISO IR 100")), ToolInput(tag="in_keep_char_set", input_type=Boolean(optional=True), prefix="--keep-char-set", doc=InputDocumentation(doc="return character set provided in file")), ToolInput(tag="in_no_sq_expansion", input_type=Boolean(optional=True), prefix="--no-sq-expansion", doc=InputDocumentation(doc="disable expansion of empty sequences in C-FIND\nrequest messages")), ToolInput(tag="in_disable_new_vr", input_type=Boolean(optional=True), prefix="--disable-new-vr", doc=InputDocumentation(doc="disable support for new VRs, convert to OB")), ToolInput(tag="in_acse_timeout", input_type=Boolean(optional=True), prefix="--acse-timeout", doc=InputDocumentation(doc="[s]econds: integer (default: 30)\ntimeout for ACSE messages")), ToolInput(tag="in_dim_se_timeout", input_type=Boolean(optional=True), prefix="--dimse-timeout", doc=InputDocumentation(doc="[s]econds: integer (default: unlimited)\ntimeout for DIMSE messages")), ToolInput(tag="in_max_associations", input_type=Boolean(optional=True), prefix="--max-associations", doc=InputDocumentation(doc="[a]ssocs: integer (default: 50)\nlimit maximum number of parallel associations")), ToolInput(tag="in_refuse", input_type=Boolean(optional=True), prefix="--refuse", doc=InputDocumentation(doc="refuse association")), ToolInput(tag="in_reject", input_type=Boolean(optional=True), prefix="--reject", doc=InputDocumentation(doc="reject association if no implement. class UID")), ToolInput(tag="in_no_fail", input_type=Boolean(optional=True), prefix="--no-fail", doc=InputDocumentation(doc="don't fail on an invalid query")), ToolInput(tag="in_sleep_after", input_type=Boolean(optional=True), prefix="--sleep-after", doc=InputDocumentation(doc="[s]econds: integer\nsleep s seconds after find (default: 0)")), ToolInput(tag="in_sleep_during", input_type=Boolean(optional=True), prefix="--sleep-during", doc=InputDocumentation(doc="[s]econds: integer\nsleep s seconds during find (default: 0)")), ToolInput(tag="in_max_pdu", input_type=Boolean(optional=True), prefix="--max-pdu", doc=InputDocumentation(doc="[n]umber of bytes: integer (4096..131072)\nset max receive pdu to n bytes (default: 16384)")), ToolInput(tag="in_disable_host_lookup", input_type=Boolean(optional=True), prefix="--disable-host-lookup", doc=InputDocumentation(doc="disable hostname lookup")), ToolInput(tag="in_port", input_type=String(), position=0, doc=InputDocumentation(doc="tcp/ip port number to listen on"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Wlmscpfs_V0_1_0().translate("wdl", allow_empty_container=True)

